curl --request POST \
--url https://api.monaco.com/v1/sequence-templates \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Enterprise Onboarding",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"steps": [
{
"index": 1,
"day": 0,
"hour": 9,
"type": "auto_email",
"subject": "Quick question",
"message": "<div>Hi {{recipient.first_name}}, can we connect?</div>"
},
{
"index": 2,
"day": 2,
"hour": 9,
"type": "auto_linkedin_connection",
"message": "Let's connect"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_SCHEDULED",
"require_all": false
}
]
}
EOFimport requests
url = "https://api.monaco.com/v1/sequence-templates"
payload = {
"name": "Enterprise Onboarding",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"steps": [
{
"index": 1,
"day": 0,
"hour": 9,
"type": "auto_email",
"subject": "Quick question",
"message": "<div>Hi {{recipient.first_name}}, can we connect?</div>"
},
{
"index": 2,
"day": 2,
"hour": 9,
"type": "auto_linkedin_connection",
"message": "Let's connect"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_SCHEDULED",
"require_all": False
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Enterprise Onboarding',
description: 'Multi-touch onboarding sequence for enterprise accounts',
steps: [
{
index: 1,
day: 0,
hour: 9,
type: 'auto_email',
subject: 'Quick question',
message: '<div>Hi {{recipient.first_name}}, can we connect?</div>'
},
{
index: 2,
day: 2,
hour: 9,
type: 'auto_linkedin_connection',
message: 'Let\'s connect'
}
],
transitions: [
{
from_step_index: 1,
to_step_index: 2,
transition_type: 'PREVIOUS_STEP_SCHEDULED',
require_all: false
}
]
})
};
fetch('https://api.monaco.com/v1/sequence-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/sequence-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Enterprise Onboarding',
'description' => 'Multi-touch onboarding sequence for enterprise accounts',
'steps' => [
[
'index' => 1,
'day' => 0,
'hour' => 9,
'type' => 'auto_email',
'subject' => 'Quick question',
'message' => '<div>Hi {{recipient.first_name}}, can we connect?</div>'
],
[
'index' => 2,
'day' => 2,
'hour' => 9,
'type' => 'auto_linkedin_connection',
'message' => 'Let\'s connect'
]
],
'transitions' => [
[
'from_step_index' => 1,
'to_step_index' => 2,
'transition_type' => 'PREVIOUS_STEP_SCHEDULED',
'require_all' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/sequence-templates"
payload := strings.NewReader("{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.monaco.com/v1/sequence-templates")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/sequence-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "seqt_abc123",
"name": "Enterprise Onboarding",
"status": "ACTIVE",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"owner_id": "usr_abc123",
"is_default": false,
"archived_at": "2026-05-10T14:22:00Z",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-05-10T14:22:00Z",
"steps": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "auto_email",
"index": 1,
"title": "Intro email",
"day": 0,
"hour": 9,
"subject": "<string>",
"message": "<string>",
"gift_id": "<string>"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_COMPLETES",
"pre_check_time_unit": "days",
"pre_check_delay": 2,
"post_check_time_unit": "days",
"post_check_delay": 1,
"require_all": true
}
],
"blocks": {}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Create a Sequence Template
Creates a new sequence template. The template is created as a USER_GENERATED template.
Use [[block:<uuid>]] in a step’s message/subject to reference an existing content block in this organization, where <uuid> is the lowercase, dash-separated block id. Unknown UUIDs, and markers that aren’t a lowercase dashed UUID, are rejected. These endpoints and the public MCP do not create or edit content blocks. Without an existing block UUID, write content directly in message/subject. A transition links steps by index sequentially or on a branch.
Template variables must be namespaced. Supported tokens are {{recipient.first_name}}, {{recipient.last_name}}, {{recipient.company}}, {{recipient.email}}, {{recipient.title}}, {{recipient.location}}, {{recipient.notes}}, {{sender.first_name}}, {{sender.last_name}}, {{sender.company}}, {{sender.title}}, {{sender.email}}, {{account.industries}}, {{account.notes}}, and {{account.description}}. Custom fields are referenced as {{recipient.<custom-field-id>}} or {{account.<custom-field-id>}}.
curl --request POST \
--url https://api.monaco.com/v1/sequence-templates \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"name": "Enterprise Onboarding",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"steps": [
{
"index": 1,
"day": 0,
"hour": 9,
"type": "auto_email",
"subject": "Quick question",
"message": "<div>Hi {{recipient.first_name}}, can we connect?</div>"
},
{
"index": 2,
"day": 2,
"hour": 9,
"type": "auto_linkedin_connection",
"message": "Let's connect"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_SCHEDULED",
"require_all": false
}
]
}
EOFimport requests
url = "https://api.monaco.com/v1/sequence-templates"
payload = {
"name": "Enterprise Onboarding",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"steps": [
{
"index": 1,
"day": 0,
"hour": 9,
"type": "auto_email",
"subject": "Quick question",
"message": "<div>Hi {{recipient.first_name}}, can we connect?</div>"
},
{
"index": 2,
"day": 2,
"hour": 9,
"type": "auto_linkedin_connection",
"message": "Let's connect"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_SCHEDULED",
"require_all": False
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Enterprise Onboarding',
description: 'Multi-touch onboarding sequence for enterprise accounts',
steps: [
{
index: 1,
day: 0,
hour: 9,
type: 'auto_email',
subject: 'Quick question',
message: '<div>Hi {{recipient.first_name}}, can we connect?</div>'
},
{
index: 2,
day: 2,
hour: 9,
type: 'auto_linkedin_connection',
message: 'Let\'s connect'
}
],
transitions: [
{
from_step_index: 1,
to_step_index: 2,
transition_type: 'PREVIOUS_STEP_SCHEDULED',
require_all: false
}
]
})
};
fetch('https://api.monaco.com/v1/sequence-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/sequence-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Enterprise Onboarding',
'description' => 'Multi-touch onboarding sequence for enterprise accounts',
'steps' => [
[
'index' => 1,
'day' => 0,
'hour' => 9,
'type' => 'auto_email',
'subject' => 'Quick question',
'message' => '<div>Hi {{recipient.first_name}}, can we connect?</div>'
],
[
'index' => 2,
'day' => 2,
'hour' => 9,
'type' => 'auto_linkedin_connection',
'message' => 'Let\'s connect'
]
],
'transitions' => [
[
'from_step_index' => 1,
'to_step_index' => 2,
'transition_type' => 'PREVIOUS_STEP_SCHEDULED',
'require_all' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/sequence-templates"
payload := strings.NewReader("{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.monaco.com/v1/sequence-templates")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/sequence-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Enterprise Onboarding\",\n \"description\": \"Multi-touch onboarding sequence for enterprise accounts\",\n \"steps\": [\n {\n \"index\": 1,\n \"day\": 0,\n \"hour\": 9,\n \"type\": \"auto_email\",\n \"subject\": \"Quick question\",\n \"message\": \"<div>Hi {{recipient.first_name}}, can we connect?</div>\"\n },\n {\n \"index\": 2,\n \"day\": 2,\n \"hour\": 9,\n \"type\": \"auto_linkedin_connection\",\n \"message\": \"Let's connect\"\n }\n ],\n \"transitions\": [\n {\n \"from_step_index\": 1,\n \"to_step_index\": 2,\n \"transition_type\": \"PREVIOUS_STEP_SCHEDULED\",\n \"require_all\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "seqt_abc123",
"name": "Enterprise Onboarding",
"status": "ACTIVE",
"description": "Multi-touch onboarding sequence for enterprise accounts",
"owner_id": "usr_abc123",
"is_default": false,
"archived_at": "2026-05-10T14:22:00Z",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-05-10T14:22:00Z",
"steps": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "auto_email",
"index": 1,
"title": "Intro email",
"day": 0,
"hour": 9,
"subject": "<string>",
"message": "<string>",
"gift_id": "<string>"
}
],
"transitions": [
{
"from_step_index": 1,
"to_step_index": 2,
"transition_type": "PREVIOUS_STEP_COMPLETES",
"pre_check_time_unit": "days",
"pre_check_delay": 2,
"post_check_time_unit": "days",
"post_check_delay": 1,
"require_all": true
}
],
"blocks": {}
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Body
Request body for creating a sequence template.
Name of the sequence template
1"Enterprise Onboarding"
Ordered list of steps in the template
Show child attributes
Show child attributes
Description of the sequence template
"Multi-touch onboarding sequence for enterprise accounts"
Transitions between steps (ordering and branching rules). Each template must have exactly one root: the first step, with no incoming transition. It starts when the sequence starts. Every other step must have an incoming transition.
Show child attributes
Show child attributes